| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGeneralMeshSubMesh Struct Reference
[Mesh plugins]

Inheritance diagram for iGeneralMeshSubMesh:

[legend]
List of all members.

## Public Member Functions
virtual iRenderBuffer * | GetIndices () const =0
| Get the index render buffer.
virtual iMaterialWrapper * | GetMaterial () const =0
| Get the material.
virtual uint | GetMixmode () const =0
| Get the mixmode (or (uint)~0 if none was specified).
virtual const char * | GetName () const =0
| Get the name (or 0 if none was given).
virtual void | SetMaterial (iMaterialWrapper *material)=0
| Set the material, or 0 to use default.

## Detailed Description

Definition at line 47 of file genmesh.h.

## Member Function Documentation

virtual iRenderBuffer* iGeneralMeshSubMesh::GetIndices | ( |  | ) | const`[pure virtual]`

Get the index render buffer.

virtual iMaterialWrapper* iGeneralMeshSubMesh::GetMaterial | ( |  | ) | const`[pure virtual]`

Get the material.

virtual uint iGeneralMeshSubMesh::GetMixmode | ( |  | ) | const`[pure virtual]`

Get the mixmode (or (uint)~0 if none was specified).

virtual const char* iGeneralMeshSubMesh::GetName | ( |  | ) | const`[pure virtual]`

Get the name (or 0 if none was given).

virtual void iGeneralMeshSubMesh::SetMaterial | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

Set the material, or 0 to use default.

The documentation for this struct was generated from the following file:

- imesh/genmesh.h